Package org.bedework.synch.wsmessages

# Interface SynchRemoteServicePortType

public interface SynchRemoteServicePortType
This class was generated by the JAX-WS RI. JAX-WS RI 2.3.6 Generated source version: 2.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AddItemResponseType`
  `addItem(SynchIdTokenType idToken, AddItemType addItemRequest)`
  `CalendarQueryResponseType`
  `calendarMultiget(SynchIdTokenType idToken, CalendarMultigetType request)`
  `CalendarQueryResponseType`
  `calendarQuery(SynchIdTokenType idToken, CalendarQueryType request)`
  `DeleteItemResponseType`
  `deleteItem(SynchIdTokenType idToken, DeleteItemType request)`
  `FetchItemResponseType`
  `fetchItem(SynchIdTokenType idToken, FetchItemType fetchItemRequest)`
  `GetInfoResponseType`
  `getInfo(SynchIdTokenType idToken, GetInfoRequestType request)`
  `GetPropertiesResponseType`
  `getProperties(SynchIdTokenType idToken, GetPropertiesType request)`
  `KeepAliveResponseType`
  `pingService(KeepAliveNotificationType request)`
  `RefreshResponseType`
  `refresh(SynchIdTokenType idToken, RefreshRequestType request)`
  `StartServiceResponseType`
  `startService(StartServiceNotificationType request)`
  `SubscribeResponseType`
  `subscribe(SynchIdTokenType idToken, SubscribeRequestType request)`
  `SubscriptionStatusResponseType`
  `subscriptionStatus(SynchIdTokenType idToken, SubscriptionStatusRequestType request)`
  `UnsubscribeResponseType`
  `unsubscribe(SynchIdTokenType idToken, UnsubscribeRequestType request)`
  `UpdateItemResponseType`
  `updateItem(SynchIdTokenType idToken, UpdateItemType request)`

- ## Method Details

  - ### startService

    StartServiceResponseType startService(StartServiceNotificationType request)
    Parameters:
      `request` -
    Returns:
      returns org.bedework.synch.wsmessages.StartServiceResponseType

  - ### pingService

    KeepAliveResponseType pingService(KeepAliveNotificationType request)
    Parameters:
      `request` -
    Returns:
      returns org.bedework.synch.wsmessages.KeepAliveResponseType

  - ### getInfo

    GetInfoResponseType getInfo(SynchIdTokenType idToken, GetInfoRequestType request)
    Parameters:
      `request` -
      `idToken` -
    Returns:
      returns org.bedework.synch.wsmessages.GetInfoResponseType

  - ### subscribe

    SubscribeResponseType subscribe(SynchIdTokenType idToken, SubscribeRequestType request)
    Parameters:
      `request` -
      `idToken` -
    Returns:
      returns org.bedework.synch.wsmessages.SubscribeResponseType

  - ### unsubscribe

    UnsubscribeResponseType unsubscribe(SynchIdTokenType idToken, UnsubscribeRequestType request)
    Parameters:
      `request` -
      `idToken` -
    Returns:
      returns org.bedework.synch.wsmessages.UnsubscribeResponseType

  - ### refresh

    RefreshResponseType refresh(SynchIdTokenType idToken, RefreshRequestType request)
    Parameters:
      `request` -
      `idToken` -
    Returns:
      returns org.bedework.synch.wsmessages.RefreshResponseType

  - ### subscriptionStatus

    SubscriptionStatusResponseType subscriptionStatus(SynchIdTokenType idToken, SubscriptionStatusRequestType request)
    Parameters:
      `request` -
      `idToken` -
    Returns:
      returns org.bedework.synch.wsmessages.SubscriptionStatusResponseType

  - ### getProperties

    GetPropertiesResponseType getProperties(SynchIdTokenType idToken, GetPropertiesType request)
    Parameters:
      `request` -
      `idToken` -
    Returns:
      returns org.oasis_open.docs.ws_calendar.ns.soap.GetPropertiesResponseType

  - ### calendarQuery

    CalendarQueryResponseType calendarQuery(SynchIdTokenType idToken, CalendarQueryType request)
    Parameters:
      `request` -
      `idToken` -
    Returns:
      returns org.oasis_open.docs.ws_calendar.ns.soap.CalendarQueryResponseType

  - ### calendarMultiget

    CalendarQueryResponseType calendarMultiget(SynchIdTokenType idToken, CalendarMultigetType request)
    Parameters:
      `request` -
      `idToken` -
    Returns:
      returns org.oasis_open.docs.ws_calendar.ns.soap.CalendarQueryResponseType

  - ### addItem

    AddItemResponseType addItem(SynchIdTokenType idToken, AddItemType addItemRequest)
    Parameters:
      `idToken` -
      `addItemRequest` -
    Returns:
      returns org.oasis_open.docs.ws_calendar.ns.soap.AddItemResponseType

  - ### fetchItem

    FetchItemResponseType fetchItem(SynchIdTokenType idToken, FetchItemType fetchItemRequest)
    Parameters:
      `idToken` -
      `fetchItemRequest` -
    Returns:
      returns org.oasis_open.docs.ws_calendar.ns.soap.FetchItemResponseType

  - ### deleteItem

    DeleteItemResponseType deleteItem(SynchIdTokenType idToken, DeleteItemType request)
    Parameters:
      `request` -
      `idToken` -
    Returns:
      returns org.oasis_open.docs.ws_calendar.ns.soap.DeleteItemResponseType

  - ### updateItem

    UpdateItemResponseType updateItem(SynchIdTokenType idToken, UpdateItemType request)
    Parameters:
      `request` -
      `idToken` -
    Returns:
      returns org.oasis_open.docs.ws_calendar.ns.soap.UpdateItemResponseType